#homePage {
    width: 100%;
    height: 0%;
    transition: all 1000ms;
    position: absolute;
    top: 100%;
}
#searchPage {
    width: 100%;
    height: 100%;
    background: red;
    transition: all 1000ms;
    position: absolute;
    top: 100%;
}
#shoppingCartPage {
    width: 100%;
    height: 100%;
    background: brown;
    transition: all 1000ms;
    position: absolute;
    top: 100%;
}
#favoritesPage {
    width: 100%;
    height: 100%;
    background: yellow;
    transition: all 1000ms;
    position: absolute;
    top: 100%;
}
#profilePage {
    width: 100%;
    height: 100%;
    background: green;
    transition: all 1000ms;
    position: absolute;
    top: 100%;
}